Bug 247983 - Review Request: squeak-vm - Squeak virtual machine for OLPC
Review Request: squeak-vm - Squeak virtual machine for OLPC
Status: CLOSED CANTFIX
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: Jochen Schmitt
Fedora Extras Quality Assurance
:
Depends On:
Blocks: FE-Legal 247984
  Show dependency treegraph
 
Reported: 2007-07-12 10:26 EDT by Bert Freudenberg
Modified: 2009-04-06 13:00 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-05-12 14:34:29 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
tcallawa: fedora‑review-


Attachments (Terms of Use)
Mock build log (302.92 KB, text/plain)
2007-07-15 14:57 EDT, Jochen Schmitt
no flags Details

  None (edit)
Description Bert Freudenberg 2007-07-12 10:26:14 EDT
Spec URL: http://etoys.laptop.org/srpm/squeak-vm-3.9-11olpc2.spec
SRPM URL: http://etoys.laptop.org/srpm/squeak-vm-3.9-11olpc2.src.rpm
Description: Squeak VM for OLPC Etoys activity
Comment 1 Jochen Schmitt 2007-07-12 14:46:11 EDT
Some quick comments about your SPEC file.

you don't cleaned the buildroot in the %clean section and on the beginning of
the %install section.
Comment 2 Jochen Schmitt 2007-07-12 14:53:05 EDT
Some additional comments:

- First in the %install section the buildroot was cleaned, but no in the %clean
sectioon. Sorry for my mistake on comment #1
- you don't used the %{?_smp_mflags} makro in the make step.
Comment 3 Bert Freudenberg 2007-07-12 17:34:53 EDT
Fixed clean and _smp_mflags
Spec URL: http://etoys.laptop.org/srpm/squeak-vm-3.9-11olpc3.spec
SRPM URL: http://etoys.laptop.org/srpm/squeak-vm-3.9-11olpc3.src.rpm
Comment 4 Jochen Schmitt 2007-07-15 14:57:50 EDT
Created attachment 159280 [details]
Mock build log
Comment 5 Jochen Schmitt 2007-07-15 14:59:41 EDT
Good:
+ Package meets naming guidelines
+ SPEC filename match with package base name
+ License is MIT
+ License tag matches with license included in upstream tar ball.
+ SPEC file is written in English
+ Package has correct buildroot
+ Package has not redundant BuildRequires
+ File list of package doesn't contains duplicates entries
+ File list contains no files or directories own by other packages

Bad.
- Don't use Vendor tag
- Source tag contains not a full qualified URI
- Unnecessary Provide tag
- Condition before deleting of the build root is not require
- Missing Version entries in the changelog entries
- Inproper use of the rpm macros in the %file section
- Package doesn't contains a %defattr statemend
- Version 3.9-11 seems not to be an official stable version
- Package doesn't contains a %doc section
- Package doens't contains verbatim copy of the license text, but you can find
  the license text in the upstream tar ball
- Build doesn't use compiler flags in $RPM_OPT_FLAGS
- Unnecessary Prefix tag
- If you wnat to include all files and directories belang a specific directory,
the entry in the file list must ands with a slash
- Your package contains file which should be belongs th the nonexisting %doc section
- Rpmlint complaints on source rpm:
rpmlint squeak-vm-3.9-11olpc3.src.rpm
W: squeak-vm hardcoded-prefix-tag %{prefix}
W: squeak-vm unversioned-explicit-provides %{name}-%{version}
W: squeak-vm setup-not-quiet
W: squeak-vm rpm-buildroot-usage %build make ROOT=%{buildroot} %{?_smp_mflags}
W: squeak-vm mixed-use-of-spaces-and-tabs (spaces: line 1, tab: line 9)
- Rpmlint complaints on binary rpm:
rpmlint squeak-vm-3.9-11olpc3.x86_64.rpm
E: squeak-vm binary-or-shlib-defines-rpath /usr/lib/squeak/3.9-11/squeak
['/usr/lib']
- Mock build failed on Devel (ppc64). Build log will be attached

Special question:

Do you search a sponsor. If yes, Unfortunately, I can't sponsor you. because I'm
not a sponsor.





Comment 6 Bert Freudenberg 2007-07-15 18:33:27 EDT
Thanks Jochen, I'll work on the "bad" list. The build failure is due to a missing libXt-devel BuildRequire.

And I've got someone willing to sponsor me but he's on vacation atm.
Comment 7 Jochen Schmitt 2007-08-14 14:49:15 EDT
Ping Bert.
Comment 8 Bert Freudenberg 2007-08-16 03:10:07 EDT
Heh, thanks for the ping. Now *I* am on vacation, should get back to this at the end of August.
Comment 9 Till Maas 2007-09-08 08:37:14 EDT
Bert, you are not yet sponsored according to the Fedora Account System, please read:
http://fedoraproject.org/wiki/PackageMaintainers/Join
http://fedoraproject.org/wiki/PackageMaintainers/HowToGetSponsored

In case there OLPC contributors do not need to be sponsored, please tell me.
Comment 10 John (J5) Palmieri 2007-10-15 14:00:52 EDT
Bert says in an e-mail:

This doesn't work because I cannot sign the CLA on behalf of  
Viewpoints. I'm only a consultant for them, not a legal representative.

I have explained the reasoning for the CLA but have also heard whole companies
can sign a CLA which may alleviate Bert's burden.  Kicking to FE-Legal so that
they can explain more and give Bert options.  This is also an issue with bug #247984
Comment 11 Peter Lemenkov 2008-01-22 09:02:49 EST
What's the status of this Review Request?

Anther one question - why this package mentions OLPC in its name? Looks like
this package is a general purpose Smaltalk VM and nor contains special OLPC code
neither specially designed for OLPC.
Comment 12 Bert Freudenberg 2008-01-22 09:20:49 EST
Status is same as #247984.

This package is compiled for OLPC, for example, the OpenGL support was taken out because OLPC does 
not ship libGL, and special Sugar-attribute support was added that is only useful when actually running 
under Sugar. But you are right in so far as this VM should work on regular machines, too.
Comment 13 Matt Domsch 2008-02-10 23:25:13 EST
please advise as to where the source code for this was originally obtained. 
ftp.squeak.org does not contain the same source tarball as is bundled in this
package.

Also note, significant portions of this package appear to be dual licensed under
the LGPLv2.1+ and the Squeak license, neither of which are MIT.

./platforms/Cross/plugins/JPEGReadWriter2Plugin/jcomapi.c
notes it is licensed and to read a README file, but no such file exists
(contrary to the Independent JPEG Group's license).  It might be considered free
enough, but that's not entirely clear.

There's a boatload of MP3 plugin code here.  MP3 is patented.

./platforms/Cross/plugins/SoundCodecPrims/ is missing a COPYRIGHT file
containing the license for code in that dir too.

There's a lot of stuff under a Sun copyright with a permissive license.

There's stuff under the Squeak license, not dual-licensed.

There's Perl-Compatible-Regular-Expressions which is yet another license...

There's GPLv2+ code in ./platforms/unix/plugins/VideoForLinuxPlugin/ccvt_types.h

Debian won't carry this even in non-free.  This scares me.

Thanks to LaserJock for pointing out the legal mess that this code appears to
be.  Contining to block FE-Legal.

Comment 14 Tom "spot" Callaway 2008-05-12 14:34:29 EDT
Yeaaah. I'm closing this one as CANTFIX. It will need a LOT of work to be made
clean for Fedora, not to mention the MP3 problems and the Squeak license (non-free).
Comment 15 Jochen Schmitt 2008-05-13 09:29:43 EDT
In your case I will suggest to open the review on rpmfusion.org because they 
have no issues with this kind of licensing issue.

Note You need to log in before you can comment on or make changes to this bug.